[X2Go-Commits] [buildscripts] 01/02: bin/createsusetagsrepo: ignore read's exit status, we know it will be non-zero.

git-admin at x2go.org git-admin at x2go.org
Sun Oct 30 02:48:46 CET 2016


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit a1cad3d53e1ee463dd12759748dbcb2d5880a2c6
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Sun Oct 30 02:48:08 2016 +0100

    bin/createsusetagsrepo: ignore read's exit status, we know it will be non-zero.
---
 bin/createsusetagsrepo |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/bin/createsusetagsrepo b/bin/createsusetagsrepo
index 34b6309..dcf0a98 100755
--- a/bin/createsusetagsrepo
+++ b/bin/createsusetagsrepo
@@ -38,7 +38,7 @@ create_metadata () {
   printf 'media\n' > "media.1/directory.yast"
 
   typeset tmp_str=""
-  read -r -d '' tmp_str <<EOF
+  { read -r -d '' tmp_str <<EOF
 PRODUCT X2Go ${distro} ${component}
 VERSION 1.0-0
 LABEL X2Go ${component} Repository for ${distro}
@@ -63,6 +63,9 @@ DEFAULTBASE i586
 DESCRDIR descr
 DATADIR .
 EOF
+  # We need to ignore read's exit status, as encountering EOF will
+  # lead to a non-zero one.
+  } || :
 
   printf '%s\n' "${tmp_str}" > "content"
 }

--
Alioth's /srv/git/code.x2go.org/buildscripts.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list